module Datarobot
  module AiApi
    class Deployment
      attr_reader :datarobotKey, :deployment_id, :url, :target

      # Takes a response body from the API. Will set all deployment attributes
      # from the response body
      #
      # @param [Hash] options A parsed response body
      def initialize(options={})
        options = options.collect{|k,v| [k.to_s, v]}.to_h

        @datarobotKey ||= options.dig("datarobot-key")
        @deploymentId ||= options.dig("deploymentId")
        @url ||= options.dig("url")
        @target ||= options.dig("target")
      end
    end
  end
end