module Datarobot
  module AiApi
    class Evaluation
      attr_reader :summary, :score, :label

      # Takes a response body from the API. Will set all prediction attributes
      # from the response body
      #
      # @param [Hash] options A parsed response body
      def initialize(options={})
        # one-liner replacement for `stringify_keys`
        options = options.collect{|k,v| [k.to_s, v]}.to_h

        @summary = options.dig("summary")
        @score = options.dig("score")
        @label = options.dig("label")
      end
    end
  end
end

