module Datarobot
  module AiApi
    class Prediction
      attr_reader :prediction, :row_id, :data

      # Takes a response body from the API. Will set all prediction attributes
      # from the response body
      #
      # @param [Hash] options A parsed response body
      def initialize(options={})
        # one-liner replacement for `stringify_keys`
        options = options.collect{|k,v| [k.to_s, v]}.to_h

        @prediction = options.dig("prediction")
        @row_id = options.dig("rowId")
        @data = options.dig("data")
      end
    end
  end
end
