module Datarobot::AiApi::Refreshable
  # This was initially written to closely align with the other datarobot clients, but `reload` is much more activerecord-y
  def refresh!
    raise "cannot refresh #{self.class} - no method `find'" unless self.class.respond_to? :find
    raise "cannot refresh #{self.class} - no method `set_from_options'" unless respond_to? :set_from_options
    raise "cannot refresh #{self.class} - object does not have an id" unless @id
    self.class.find(@id) do |data|
      set_from_options(data)
    end
  end

  def refresh
    raise "cannot refresh #{self.class} - no method `find'" unless self.class.respond_to? :find
    raise "cannot refresh #{self.class} - object does not have an id" unless @id
    self.class.find(@id)
  end

  alias_method :reload!, :refresh!
  alias_method :reload, :refresh
end